# Changelog

## [integrations/unstructured-v0.4.2] - 2025-02-18

### 🐛 Bug Fixes

- Lints in `unstructured-haystack` (#996)

### 🧪 Testing

- Do not retry tests in `hatch run test` command (#954)

### ⚙️ CI

- Adopt uv as installer (#1142)

### 🧹 Chores

- Update ruff linting scripts and settings (#1105)

### 🌀 Miscellaneous

- Docs: update links to Unstructured docs (#1073)
- Fix: Unstructured - pin client version (#1416)

## [integrations/unstructured-v0.4.1] - 2024-06-28

### 🚀 Features

- Generate unstructured API docs (#350)
- *(unstructured)* Add element index as metadata (#382)

### 🐛 Bug Fixes

- Fix order of API docs (#447)

### 📚 Documentation

- Update category slug (#442)
- Small consistency improvements (#536)
- Disable-class-def (#556)

### ⚙️ CI

- Retry tests to reduce flakyness (#836)

### 🧹 Chores

- Update ruff invocation to include check parameter (#853)

### 🌀 Miscellaneous

- Replace token api str with Secret (#449)
- Review docstrings (#531)
- Add missing from_dict method (#532)
- Remove references to Python 3.7 (#601)
- Chore: add license classifiers (#680)
- Chore: change the pydoc renderer class (#718)
- Chore: Drop support for Python 3.8 for Unstructured integration (#787)
- Ci: install `pytest-rerunfailures` where needed; add retry config to `test-cov` script (#845)
- Add `psutil` dependency to Unstructured integration (#854)

## [integrations/unstructured-v0.3.1] - 2024-02-05

### 🌀 Miscellaneous

- Unpin unstructured (#261)
- Fix metadata order mixed up (#336)

## [integrations/unstructured-v0.3.0] - 2024-01-23

### 🐛 Bug Fixes

- Fix license headers
- Fix project URLs (#96)

### 🚜 Refactor

- Use `hatch_vcs` to manage integrations versioning (#103)

### 🧹 Chores

- Pin unstructured api version (#105)

### 🌀 Miscellaneous

- Reorganize repository (#62)
- Update import paths (#64)
- Optimize API key reading (#162)
- Mount unstructured in haystack_integrations and refactor the structure of the project (#221)
- UnstructuredFileConverter meta field (#242)

<!-- generated by git-cliff -->
